const Countries = {
    _data :  [
        { key : 'de', name : 'Deutschland' },
        { key : 'at', name : 'Österreich' },
        { key : 'ch', name : 'Schweiz' },
        { key : 'it', name : 'Italien' },
        { key : 'dk', name : 'Dänemark' },
        { key : 'be', name : 'Belgien' },
        { key : 'fr', name : 'Frankreich' },
        { key : 'lu', name : 'Luxemburg' },
        { key : 'nl', name : 'Niederlande' },
        { key : 'pl', name : 'Polen' }
    ],

    getAll : function()
    {
        return this._data;
    },

    getNameByKey : function( key )
    {
        let name = null;

        for ( let ci = 0; ci < this._data.length; ci++ )
        {
            if ( this._data[ ci ].key == key )
            {
                name = this._data[ ci ].name;
                break;
            }
        }

        return name;
    }
};

export { Countries };